Subject: bug#57140: New user option mouse-wheel-text-scale-buffer

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Aug 2022 20:16:21 +0300

> From: Tyler Grinn <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 11 Aug 2022 13:00:45 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Tyler Grinn <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Thu, 11 Aug 2022 11:23:51 -0400
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > Thanks, but isn't it better to control the amount of scaling by
> >> > changing the value of text-scale-mode-step instead?  Having to scroll
> >> > the wheel several clicks without any effect would be confusing, I
> >> > think.  And text-scale-mode-step is already a user variable that is
> >> > available for this purpose.  So maybe you should try decreasing the
> >> > default value to, say, 1.02, to see if that satisfies your needs.
> >> 
> >> For some trackpads, controlling how many 'clicks' to scroll is quite
> >> difficult. The step size fixes the issue of scrolling too fast, but I
> >> still have trouble choosing the exact text scale I want. My preference
> >> is still for a larger step size and throttling scroll events.
> >
> > Sorry, I don't understand why you need to count clicks.  Typically
> > when users change the text scale, they just turn the wheel until the
> > size they get fits their needs.  Making text-scale-mode-step smaller
> > causes finer changes, so it's easier to be more precise in finding the
> > desired scale.
> >
> > Can you explain how your proposal makes it easier than that, and why?
> 
> Sure, let me rephrase: for two-finger scrolling, it's hard to emit a
> single scroll event. With a smaller step size it is easier to get it
> close to the scale I want, but regardless of the step size, choosing an
> exact text scale is difficult. This leads to buffers having slightly
> different text scales.

If that's the problem, shouldn't that be handled by techniques we use
in precision-scrolling?